solarOSsolarOS Docs

Record external or staff-mediated Quote acceptance

Records acceptance with a required method plus optional accepter identity, notes, and downstream Project/Work Order External References. acceptedAt, acceptedBy, and source are not accepted.

POST
/quotes/{id}/mark-accepted

Records acceptance with a required method plus optional accepter identity, notes, and downstream Project/Work Order External References. acceptedAt, acceptedBy, and source are not accepted.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Quote identifier returned by the Organization API.

Request Body

application/json

JSON request payload for markQuoteAccepted.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/quotes/string/mark-accepted" \  -H "Content-Type: application/json" \  -d '{    "method": "SIGNATURE",    "acceptedByName": "Ada Lovelace",    "acceptedByEmail": "ada@example.com"  }'
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}